# Branch "base-python" - Project shiny-k8s-example

## Definition

Use this branch if your Shiny app is developed in Python language.\
This branch contains all the configuration files requiered for host and deploy your app.\
Please respect the folder structure.

## Branch structure

```ini
base-python
├── chart                           ## Folder containing configuration files for deployment on kubernetes
│   ├── charts
│   ├── Chart.yaml
│   ├── templates
│   ├── values.prod.yaml
│   └── values.yaml
├── docker-compose-for-prod         ## Folder containing configuration files for deployment on other hosting system
│   ├── data
│   ├── docker-compose.yaml
│   ├── logs
│   ├── persistent
│   └── README.md
├── docker-compose.yaml            ## File to run localy your app
├── Dockerfile                     ## File to containerize your app
├── LICENSE
├── logs                           ## Folder for logs files
├── my_project                     ## Folder containing your shiny app including python, CSS files and input data
│   ├── app.py
│   ├── data                       ## Folder containing input data used in your app
│   └── www                        ## Folder containing output data, CSS style file, images, ... used in your app
│       └── persistent             ## Folder containing persitent data (optionnal)
├── README.md
└── requirements.txt               ## File listing python packages required for your app
```

Following to the [Documentation](https://hub.pages.pasteur.fr/shiny-k8s/), please adapt this folder to needs of your Python Shiny app.\

# Project

## Definition

This project is a satellite project containing example(s) on how to use components developped in [hub/shiny-k8s](https://gitlab.pasteur.fr/hub/shiny-k8s).

- The base example with R language is the branch [base-r](https://gitlab.pasteur.fr/hub/shiny-k8s-example/-/tree/base-r?ref_type=heads)
- The base example with Python is the branch [base-python](https://gitlab.pasteur.fr/hub/shiny-k8s-example/-/tree/base-python?ref_type=heads)

For more information, see [Documentation](https://hub.pages.pasteur.fr/shiny-k8s/).

## Project structure

This project use orphan branch concept [^1] to manage the different ressources using according to the usage.

```ini
shiny-k8s-example
  ├── main
  ├── base-common
  │   ├── base-r
  │   └── base-python
  ├── advanced-scripts
  └── doc-trigger
```

[^1]: [git definition](https://git-scm.com/docs/git-checkout/2.14.6#Documentation/git-checkout.txt---orphanltnewbranchgt)
