# Running in production with docker compose

Documentation can be found at https://hub.pages.pasteur.fr/shiny-k8s/user_guide/run_with_compose.html

## Configure your .env

In the `.env` file we provide example to run the compose : 

Given a project hosted at # If your project is hosted at https://gitlab.pasteur.fr/ada-team/my-project/
where the production branch is named `main`, the file is:
```ini
CI_PROJECT_NAMESPACE=ada-team
CI_PROJECT_NAME=my-project
CI_REGISTRY=registry-gitlab.pasteur.fr
PROD_BRANCH=main
```

## Run it
```sh
docker compose up -d
```

## Run the example
```sh
docker compose --env-file .example.env up
```

## With private registry

You have to auth before starting the compose. Given a .auth file containing :
```ini
DEPLOY_USER=my-user
DEPLOY_TOKEN=not-secured-password
```
You should then do:
```sh
source .auth
source .env
echo $DEPLOY_TOKEN | docker login --username $DEPLOY_USER $CI_REGISTRY --password-stdin
docker compose up -d
```

more info can be found at https://docs.docker.com/reference/cli/docker/login/#password-stdin